Provisional Booking V4
Get paginated provisional bookings
Retrieves a paginated list of provisional bookings based on the provided criteria.
GET
/
v4
/
provisional-booking
/
paginated
Get paginated provisional bookings
curl --request GET \
--url https://api.meetergo.com/v4/provisional-booking/paginated \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.meetergo.com/v4/provisional-booking/paginated"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.meetergo.com/v4/provisional-booking/paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/provisional-booking/paginated",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/provisional-booking/paginated"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meetergo.com/v4/provisional-booking/paginated")
.header("x-meetergo-api-user-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/provisional-booking/paginated")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"provisionalBookings": [
{
"id": "<string>",
"dto": {
"attendee": {
"receiveReminders": true,
"notes": {},
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"fullname": "<string>",
"bringalongEmails": [
"jsmith@example.com"
],
"billingDetails": {
"company": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"vatId": "<string>"
},
"useSavedBillingDetails": true,
"phone": "<string>",
"language": "en",
"timezone": "<string>",
"dataPolicyAccepted": true
},
"meetingTypeId": "<string>",
"start": "<string>",
"hostIds": [
"<string>"
],
"appointmentId": "<string>",
"location": "<string>",
"locationSelectionContextId": "<string>",
"queueId": "<string>",
"bookingTargetToken": "<string>",
"channel": "local",
"duration": 123,
"routingFormId": "<string>",
"utm": {
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_campaign": "<string>",
"utm_content": "<string>",
"utm_term": "<string>"
},
"referrerUrl": "<string>",
"sourceChannel": "booking_page",
"ignoreAvailability": true,
"isTest": true,
"attendeePendingId": 123,
"paymentId": "<string>",
"paymentProvider": "paypal",
"couponCode": "<string>",
"sessionCreditToken": "<string>",
"priceOptionId": "<string>",
"resourceChannelIds": [
"<string>"
],
"oneTimeLinkId": "<string>",
"bookingProposalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skipNotifications": true,
"phoneOnlyBooking": true,
"icsTitle": "<string>",
"icsDescription": "<string>",
"rwgToken": "<string>",
"rwgMerchantId": "<string>",
"bookingPassword": "<string>",
"referralCode": "<string>",
"formRecipientToken": "<string>",
"waitlistToken": "<string>"
},
"type": "doubleOptIn",
"createdAt": "<string>",
"deletedAt": "<string>",
"queueBookingInfo": {
"userIds": [
"<string>"
],
"selectionReason": {},
"groupId": "<string>"
},
"hosts": [
{
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
}
],
"meetingTypeId": "<string>"
}
],
"total": 123
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
Query Parameters
⌘I
Get paginated provisional bookings
curl --request GET \
--url https://api.meetergo.com/v4/provisional-booking/paginated \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.meetergo.com/v4/provisional-booking/paginated"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.meetergo.com/v4/provisional-booking/paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/provisional-booking/paginated",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/provisional-booking/paginated"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meetergo.com/v4/provisional-booking/paginated")
.header("x-meetergo-api-user-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/provisional-booking/paginated")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"provisionalBookings": [
{
"id": "<string>",
"dto": {
"attendee": {
"receiveReminders": true,
"notes": {},
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"fullname": "<string>",
"bringalongEmails": [
"jsmith@example.com"
],
"billingDetails": {
"company": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"vatId": "<string>"
},
"useSavedBillingDetails": true,
"phone": "<string>",
"language": "en",
"timezone": "<string>",
"dataPolicyAccepted": true
},
"meetingTypeId": "<string>",
"start": "<string>",
"hostIds": [
"<string>"
],
"appointmentId": "<string>",
"location": "<string>",
"locationSelectionContextId": "<string>",
"queueId": "<string>",
"bookingTargetToken": "<string>",
"channel": "local",
"duration": 123,
"routingFormId": "<string>",
"utm": {
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_campaign": "<string>",
"utm_content": "<string>",
"utm_term": "<string>"
},
"referrerUrl": "<string>",
"sourceChannel": "booking_page",
"ignoreAvailability": true,
"isTest": true,
"attendeePendingId": 123,
"paymentId": "<string>",
"paymentProvider": "paypal",
"couponCode": "<string>",
"sessionCreditToken": "<string>",
"priceOptionId": "<string>",
"resourceChannelIds": [
"<string>"
],
"oneTimeLinkId": "<string>",
"bookingProposalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skipNotifications": true,
"phoneOnlyBooking": true,
"icsTitle": "<string>",
"icsDescription": "<string>",
"rwgToken": "<string>",
"rwgMerchantId": "<string>",
"bookingPassword": "<string>",
"referralCode": "<string>",
"formRecipientToken": "<string>",
"waitlistToken": "<string>"
},
"type": "doubleOptIn",
"createdAt": "<string>",
"deletedAt": "<string>",
"queueBookingInfo": {
"userIds": [
"<string>"
],
"selectionReason": {},
"groupId": "<string>"
},
"hosts": [
{
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
}
],
"meetingTypeId": "<string>"
}
],
"total": 123
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}